import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export async function GetbomTypelist (data) {
    return request(getDataBaseUrl()+`/api/bom/getbomtypelist`, {
      method: 'Get',
      // params: { ...params },
      // ...(options || {}),
    });
  }
  export async function getproductpage(params) {
    return request(getDataBaseUrl()+'/api/batching/getbatchingselectlist', {
      method: 'Get',
    });
  }
  export async function addgoodsbomattribute(data) {
    return request(getDataBaseUrl()+`/api/goods/addgoodsbomattribute`, {
      method: 'Post',
      data: data,
    });
  }
  export async function getbygoodsidattribute (data) {
    return request(getDataBaseUrl()+`/api/goodsattribute/getbygoodsidattribute?id=`+data, {
      method: 'Get',
      // params: { ...params },
      // ...(options || {}),
    });
}
export async function GetGoodsBom(data) {
    return request(getDataBaseUrl()+`/api/goods/getgoodsbompage`, {
      method: 'Post',
      data: data,
    });
  }
  export async function DelGoodsBom (data) {
    return request(getDataBaseUrl()+`/api/goods/delgoodsbom?Ids=${data}`, {
      method: 'GET',
      //data: data,
    });
  }
  export async function AddBomType (data) {
    return request(getDataBaseUrl()+`/api/bom/addbomtype`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  }
  export async function getbomlist() {
    return request(getDataBaseUrl()+'/api/bom/getbomlist', {
      method: 'Get',
    });
  }
  export async function getbyidbomlist(bomId) {
    return request(getDataBaseUrl()+'/api/bom/getbyidbomlist?bomId='+bomId, {
      method: 'Get',
    });
  }
